/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var DisputeEvidence = require('./DisputeEvidence');
var Error = require('./Error');




/**
 * The ListDisputeEvidenceResponse model module.
 * Note: This model is in beta.
 * @module model/ListDisputeEvidenceResponse
 */

/**
 * Constructs a new <code>ListDisputeEvidenceResponse</code>.
 * Defines fields in a ListDisputeEvidence response.
 * @alias module:model/ListDisputeEvidenceResponse
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>ListDisputeEvidenceResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListDisputeEvidenceResponse} obj Optional instance to populate.
 * @return {module:model/ListDisputeEvidenceResponse} The populated <code>ListDisputeEvidenceResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('evidence')) {
      obj['evidence'] = ApiClient.convertToType(data['evidence'], [DisputeEvidence]);
    }
      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
    }
  return obj;
}

/**
 * The list of evidence previously uploaded to the specified dispute.
 * @member {Array.<module:model/DisputeEvidence>} evidence
 */
exports.prototype['evidence'] = undefined;
/**
 * Information on errors encountered during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;



module.exports = exports;



