/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Money = require('./Money');




/**
 * The TenderCashDetails model module.
 * @module model/TenderCashDetails
 */

/**
 * Constructs a new <code>TenderCashDetails</code>.
 * Represents the details of a tender with &#x60;type&#x60; &#x60;CASH&#x60;.
 * @alias module:model/TenderCashDetails
 * @class
 */
var exports = function() {
  var _this = this;



};

/**
 * Constructs a <code>TenderCashDetails</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/TenderCashDetails} obj Optional instance to populate.
 * @return {module:model/TenderCashDetails} The populated <code>TenderCashDetails</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('buyer_tendered_money')) {
      obj['buyer_tendered_money'] = Money.constructFromObject(data['buyer_tendered_money']);
    }
      if (data.hasOwnProperty('change_back_money')) {
      obj['change_back_money'] = Money.constructFromObject(data['change_back_money']);
    }
    }
  return obj;
}

/**
 * The total amount of cash provided by the buyer, before change is given.
 * @member {module:model/Money} buyer_tendered_money
 */
exports.prototype['buyer_tendered_money'] = undefined;
/**
 * The amount of change returned to the buyer.
 * @member {module:model/Money} change_back_money
 */
exports.prototype['change_back_money'] = undefined;



module.exports = exports;



